Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358922 - missunderstanding about GF_PROTOCOL_DICT_SERIALIZE
Summary: missunderstanding about GF_PROTOCOL_DICT_SERIALIZE
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: core
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zhou Zhengping
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 19:15 UTC by Zhou Zhengping
Modified: 2017-01-03 11:24 UTC (History)
1 user (show)

Fixed In Version: 3.9.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-03 11:24:48 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Zhou Zhengping 2016-07-21 19:15:36 UTC
Description of problem:
1.GF_PROTOCOL_DICT_SERIALIZE use a local parameter, its name should start with "_"
2.GF_PROTOCOL_DICT_SERIALIZE  will goto error label which may not execute the next line code.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Vijay Bellur 2016-07-21 19:49:45 UTC
REVIEW: http://review.gluster.org/14975 (core: missunderstanding about GF_PROTOCOL_DICT_SERIALIZE) posted (#2) for review on master by Zhou Zhengping (johnzzpcrystal@gmail.com)

Comment 2 Vijay Bellur 2016-07-22 23:02:19 UTC
REVIEW: http://review.gluster.org/14990 (libglusterfs: add "_" to the name of parameter in macro code) posted (#1) for review on master by Zhou Zhengping (johnzzpcrystal@gmail.com)

Comment 3 Vijay Bellur 2016-07-26 15:15:10 UTC
COMMIT: http://review.gluster.org/14990 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit a56635c0c44af63672b0a6fadc1a02f98eb6b251
Author: Zhou Zhengping <johnzzpcrystal@gmail.com>
Date:   Sat Jul 23 06:59:09 2016 +0800

    libglusterfs: add "_" to the name of parameter in macro code
    
    Change-Id: I3daf10e2099a36f8ca8df35067ef9206f08fe7ef
    BUG: 1358922
    Signed-off-by: Zhou Zhengping <johnzzpcrystal@gmail.com>
    Reviewed-on: http://review.gluster.org/14990
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>


Note You need to log in before you can comment on or make changes to this bug.